%define aurox_ver 9.3
%define rel 1


%define name	gnome-alsamixer
%define ver	0.9.6
%define prefix /usr

Summary:   An ALSA mixer for GNOME written for ALSA 0.9.x.
Name:      %{name}
Version:   %{ver}
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group:     Applications/Multimedia
Source:    ftp://ftp.paw.za.org/pub/PAW/sources/gnome-alsamixer-%{ver}.tar.gz
URL:       http://www.paw.za.org/projects/gnome-alsamixer
BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: gtk2 >= 2.0.0
Requires: libgnomeui >= 2.0.0
Requires: alsa-lib >= 0.9.0

BuildRequires: gtk2-devel >= 2.0.0
BuildRequires: libgnomeui-devel >= 2.0.0
BuildRequires: alsa-lib >= 0.9.0
BuildRequires: desktop-file-utils

%description
A sound mixer for GNOME which is written for the Advanced Linux Sound
Architecture (ALSA), which supports ALSA 0.9.x.

%prep
%setup -q -n gnome-alsamixer-%{version}

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install-strip

cat << EOF > alsamixer.desktop
[Desktop Entry]
Encoding=UTF-8
Name=ALSA Volume Control
Name[pl]=Sterowanie głośnością ALSA
Comment=Adjust the volume level
Comment[pl]=Ustawianie poziomu dźwięku
Exec=gnome-alsamixer
Icon=gnome-alsamixer/gnome-alsamixer-icon.png
Terminal=false
Type=Application
Categories=GNOME;
StartupNotify=true
X-Desktop-File-Install-Version=0.3
EOF

mkdir ${RPM_BUILD_ROOT}%{_datadir}/applications

desktop-file-install --vendor aurox --delete-original \
  --dir ${RPM_BUILD_ROOT}%{_datadir}/applications                      \
  --add-category Application                                           \
  --add-category AudioVideo                                            \
  --add-category X-Aurox-Extra                                         \
  alsamixer.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS AUTHORS INSTALL TODO
%{_bindir}/%{name}
%{_datadir}/applications/*alsamixer.desktop
%{_datadir}/pixmaps/%{name}

%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 0:0.9.6-9.3.aur.1
- rebuild
- again
- again
- fix rel definition
- 0.9.6

* Mon Sep  8 2003 Dennis J Houy <djhouy@paw.za.org>
- Added creation of Red Hat menu entry to spec file.

* Mon Nov 11 2002 Dennis J Houy <djhouy@paw.za.org>
- New build for GNOME2.

* Sun Sep 22 2002 Dennis J Houy <djhouy@paw.za.org> - 0.1.2b
- Initial release version.
